package com.engine.kq.wfset.attendance.domain;



/**
 * 考勤流程设置
 * @author wcd
 * @version 1.0 2015-04-22
 */
public class HrmAttProcSet {

	private Long id;
  /**
   * 唯一标识，插入后查询用
   */
	private Long mfid;
  /**
   * 流程id
   */
	private Integer field001;
  /**
   * 对应表单
   */
	private Integer field002;
  /**
   * 表单类型，1表示系统表单
   */
	private Integer field003;
  /**
   * 所属分部
   */
	private Integer field004;
  /**
   * 是否启用，1表示启用
   */
	private Integer field005;
  /**
   * 变更流程类型，0表示请假，1表示出差，2表示公出，3表示加班，4表示异常，5表示调班，6表示销假，7表示补卡
   */
	private Integer field006;
  /**
   * 操作日期
   */
	private Integer field007;
  /**
   * 操作日期
   */
	private String field008;
	private String field009;
	private String field010;
	private String field011;
	private String field012;
	private String field013;
	private Integer field014;
	private Integer field015;
	private Integer formid;
	private String tablename;
	private boolean isHAF; 
	private Integer isHalfDay;
  /**
   * 是否启用明细表，默认不启用，1表示启用
   */
  private Integer usedetail;
  private String detailtablename;
  /**
   * 模板文件
   */
  private String templetfile;
  /**
   * 模板文件手机端
   */
  private String templetmobilefile;
  /**
   * 模板地址
   */
  private String templetroute;
  /**
   * 流程可抵扣打卡記錄，默认不启用，1表示启用
   */
  private Integer flow_deduct_card;

	public HrmAttProcSet() {
		this(true);
	}

	public HrmAttProcSet(boolean arg) {
		if(arg) init();
	}

	public void init() {
		this.id = 0L;
		this.field001 = 0;
		this.field002 = 0;
		this.field003 = 0;
		this.field004 = 0;
		this.field005 = -1;
		this.field006 = -1;
		this.field007 = 0;
		this.field008 = "";
		this.field009 = "";
		this.field010 = "";
		this.field011 = "";
		this.field012 = "";
		this.field013 = "";
		this.field014 = 0;
		this.field015 = 0;
		this.isHalfDay = 0;
		this.mfid = java.util.UUID.randomUUID().getMostSignificantBits();
		this.formid = 0;
		this.tablename = "";
    this.usedetail = 0;
    this.flow_deduct_card = 0;
    this.templetfile = "";
    this.templetmobilefile = "";
    this.templetroute = "";
	}

	public Long getMfid() {
		return mfid;
	}

	public void setMfid(Long mfid) {
		this.mfid = mfid;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getId() {
		return id;
	}
	
	public Integer getBillId(){
		int billid = 0;
		switch (this.field006){
		case 0:
			billid = 180;
			break;
		case 1:
			billid = 181;
			break;
		case 2:
			billid = 182;
			break;
		case 3:
			billid = 45;
			break;
		case 4:
			billid = 0;
			break;
		case 5:
			billid = 5;
			break;
    case 6:
      billid = 6;
      break;
    case 7:
      billid = 7;
      break;
    case 8:
      billid = 8;
      break;
		}
		return billid;
	}
	
	public boolean isSysForm() {
		return this.getField002() == 180 || this.getField002() == 181 || this.getField002() == 182;
	}

	public void setField001(Integer field001) {
		this.field001 = field001;
	}

	public Integer getField001() {
		return field001;
	}

	public void setField002(Integer field002) {
		this.field002 = field002;
	}

	public Integer getField002() {
		return field002;
	}

	public void setField003(Integer field003) {
		this.field003 = field003;
	}

	public Integer getField003() {
		return field003;
	}

	public void setField004(Integer field004) {
		this.field004 = field004;
	}

	public Integer getField004() {
		return field004;
	}

	public void setField005(Integer field005) {
		this.field005 = field005;
	}

	public Integer getField005() {
		return field005;
	}

	public void setField006(Integer field006) {
		this.field006 = field006;
	}

	public Integer getField006() {
		return field006;
	}

	public void setField007(Integer field007) {
		this.field007 = field007;
	}

	public Integer getField007() {
		return field007;
	}

	public void setField008(String field008) {
		this.field008 = field008;
	}

	public String getField008() {
		return field008;
	}

	public void setField009(String field009) {
		this.field009 = field009;
	}

	public String getField009() {
		return field009;
	}

	public void setField010(String field010) {
		this.field010 = field010;
	}

	public String getField010() {
		return field010;
	}

	public void setField011(String field011) {
		this.field011 = field011;
	}

	public String getField011() {
		return field011;
	}

	public void setField012(String field012) {
		this.field012 = field012;
	}

	public String getField012() {
		return field012;
	}

	public void setField013(String field013) {
		this.field013 = field013;
	}

	public String getField013() {
		return field013;
	}

	public void setField014(Integer field014) {
		this.field014 = field014;
	}

	public Integer getField014() {
		return field014;
	}

	public void setField015(Integer field015) {
		this.field015 = field015;
	}

	public Integer getField015() {
		return field015;
	}
	
	public Integer getFormid() {
		return formid;
	}

	public void setFormid(Integer formid) {
		this.formid = formid;
	}

	public String getTablename() {
		return tablename;
	}

	public void setTablename(String tablename) {
		this.tablename = tablename;
	}

	public boolean isHAF() {
		return isHAF;
	}

	public void setHAF(boolean isHAF) {
		this.isHAF = isHAF;
	}

	public Integer getIsHalfDay() {
		return isHalfDay;
	}

	public void setIsHalfDay(Integer isHalfDay) {
		this.isHalfDay = isHalfDay;
	}

  public Integer getUsedetail() {
    return usedetail;
  }

  public void setUsedetail(Integer usedetail) {
    this.usedetail = usedetail;
  }

  public String getDetailtablename() {
    return detailtablename;
  }

  public void setDetailtablename(String detailtablename) {
    this.detailtablename = detailtablename;
  }

  public String getTempletfile() {
    return templetfile;
  }

  public void setTempletfile(String templetfile) {
    this.templetfile = templetfile;
  }

  public String getTempletmobilefile() {
    return templetmobilefile;
  }

  public void setTempletmobilefile(String templetmobilefile) {
    this.templetmobilefile = templetmobilefile;
  }

  public String getTempletroute() {
    return templetroute;
  }

  public void setTempletroute(String templetroute) {
    this.templetroute = templetroute;
  }

  public Integer getFlow_deduct_card() {
    return flow_deduct_card;
  }

  public void setFlow_deduct_card(Integer flow_deduct_card) {
    this.flow_deduct_card = flow_deduct_card;
  }
}
